Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 1227
Content-Disposition: inline; filename="Makefile"
Last-Modified: Thu, 13 Feb 2025 20:17:12 GMT
Expires: Sun, 11 Feb 2035 20:17:12 GMT
ETag: "742c8a3bd0953c7b7971a12595b848839a50a645"

#
# Copyright (C) 2006 OpenWrt.org
#
# This is free software, licensed under the GNU General Public License v2.
# See /LICENSE for more information.
#
include $(TOPDIR)/rules.mk

PKG_NAME:=imx-bootlets
PKG_VERSION:=10.05.02

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=http://trabant.uid0.hu/openwrt/
PKG_HASH:=09ecd81a64db5166a235932146faf08d0689bfc7ac04ac9fcc3a5bd809fba74a

include $(INCLUDE_DIR)/package.mk

define Package/imx-bootlets
	SECTION:=boot
	CATEGORY:=Boot Loaders
	TITLE:=i.MX23/i.MX28 bootlets
	DEPENDS:=@TARGET_mxs
endef

define Package/imx-bootlets/description
 i.MX23/i.MX28 bootlets (for oLinuxino)
endef

define Build/Compile
	$(MAKE) -C $(PKG_BUILD_DIR) CROSS_COMPILE="$(TARGET_CROSS)"
endef

define Package/imx-bootlets/install
	@echo Copying boot_prep and power_prep into staging - $(STAGING_DIR)
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/boot_prep/boot_prep $(STAGING_DIR)/boot_prep
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/linux_prep/output-target/linux_prep $(STAGING_DIR)/linux_prep
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/power_prep/power_prep $(STAGING_DIR)/power_prep
	$(INSTALL_BIN) $(PKG_BUILD_DIR)/linux_prebuilt.db $(STAGING_DIR)/linux_prebuilt.db
endef

$(eval $(call BuildPackage,imx-bootlets))

ption>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit.cgi/openwrt/upstream/about/?h=v22.03.3'>about</a><a href='/cgit.cgi/openwrt/upstream/?h=v22.03.3'>summary</a><a href='/cgit.cgi/openwrt/upstream/refs/?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>refs</a><a href='/cgit.cgi/openwrt/upstream/log/package/base-files/files/etc/ipkg.conf?h=v22.03.3'>log</a><a class='active' href='/cgit.cgi/openwrt/upstream/tree/package/base-files/files/etc/ipkg.conf?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>tree</a><a href='/cgit.cgi/openwrt/upstream/commit/package/base-files/files/etc/ipkg.conf?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>commit</a><a href='/cgit.cgi/openwrt/upstream/diff/package/base-files/files/etc/ipkg.conf?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>diff</a><a href='/cgit.cgi/openwrt/upstream/stats/package/base-files/files/etc/ipkg.conf?h=v22.03.3'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit.cgi/openwrt/upstream/log/package/base-files/files/etc/ipkg.conf'>
<input type='hidden' name='h' value='v22.03.3'/><input type='hidden' name='id' value='f95db8bac8334bbf5add2b4dbf1b13a064295dc7'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit.cgi/openwrt/upstream/tree/?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>root</a>/<a href='/cgit.cgi/openwrt/upstream/tree/package?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>package</a>/<a href='/cgit.cgi/openwrt/upstream/tree/package/base-files?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>base-files</a>/<a href='/cgit.cgi/openwrt/upstream/tree/package/base-files/files?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>files</a>/<a href='/cgit.cgi/openwrt/upstream/tree/package/base-files/files/etc?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>etc</a>/<a href='/cgit.cgi/openwrt/upstream/tree/package/base-files/files/etc/ipkg.conf?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>ipkg.conf</a></div><div class='content'>blob: 2931d2cf800e9bcc9e52d1164816b1abcdd57ac8 (<a href='/cgit.cgi/openwrt/upstream/plain/package/base-files/files/etc/ipkg.conf?h=v22.03.3&amp;id=f95db8bac8334bbf5add2b4dbf1b13a064295dc7'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
</pre></td>
<td class='lines'><pre><code></code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2025-02-13 20:17:12 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
